Browse Source

fixed build in trusty

master
Marc Wäckerlin 7 months ago
parent
commit
64f01596b4
6 changed files with 161 additions and 265 deletions
  1. 117
    217
      INSTALL
  2. 6
    3
      README.md
  3. 3
    20
      ax_init_standard_project.m4
  4. 8
    4
      bootstrap.sh
  5. 27
    21
      build-in-docker.sh
  6. BIN
      doc/plantuml.jar

+ 117
- 217
INSTALL View File

@@ -1,236 +1,136 @@
1
-Installation Instructions
2
-*************************
3
-
4
-Copyright (C) 1994, 1995, 1996, 1999, 2000, 2001, 2002, 2004, 2005 Free
5
-Software Foundation, Inc.
6
-
7
-This file is free documentation; the Free Software Foundation gives
8
-unlimited permission to copy, distribute and modify it.
9
-
10
-Basic Installation
11
-==================
12
-
13
-These are generic installation instructions.
14
-
15
-   The `configure' shell script attempts to guess correct values for
16
-various system-dependent variables used during compilation.  It uses
17
-those values to create a `Makefile' in each directory of the package.
18
-It may also create one or more `.h' files containing system-dependent
19
-definitions.  Finally, it creates a shell script `config.status' that
20
-you can run in the future to recreate the current configuration, and a
21
-file `config.log' containing compiler output (useful mainly for
22
-debugging `configure').
23
-
24
-   It can also use an optional file (typically called `config.cache'
25
-and enabled with `--cache-file=config.cache' or simply `-C') that saves
26
-the results of its tests to speed up reconfiguring.  (Caching is
27
-disabled by default to prevent problems with accidental use of stale
28
-cache files.)
29
-
30
-   If you need to do unusual things to compile the package, please try
31
-to figure out how `configure' could check whether to do them, and mail
32
-diffs or instructions to the address given in the `README' so they can
33
-be considered for the next release.  If you are using the cache, and at
34
-some point `config.cache' contains results you don't want to keep, you
35
-may remove or edit it.
36
-
37
-   The file `configure.ac' (or `configure.in') is used to create
38
-`configure' by a program called `autoconf'.  You only need
39
-`configure.ac' if you want to change it or regenerate `configure' using
40
-a newer version of `autoconf'.
41
-
42
-The simplest way to compile this package is:
43
-
44
-  1. `cd' to the directory containing the package's source code and type
45
-     `./configure' to configure the package for your system.  If you're
46
-     using `csh' on an old version of System V, you might need to type
47
-     `sh ./configure' instead to prevent `csh' from trying to execute
48
-     `configure' itself.
49
-
50
-     Running `configure' takes awhile.  While running, it prints some
51
-     messages telling which features it is checking for.
52
-
53
-  2. Type `make' to compile the package.
54
-
55
-  3. Optionally, type `make check' to run any self-tests that come with
56
-     the package.
57
-
58
-  4. Type `make install' to install the programs and any data files and
59
-     documentation.
60
-
61
-  5. You can remove the program binaries and object files from the
62
-     source code directory by typing `make clean'.  To also remove the
63
-     files that `configure' created (so you can compile the package for
64
-     a different kind of computer), type `make distclean'.  There is
65
-     also a `make maintainer-clean' target, but that is intended mainly
66
-     for the package's developers.  If you use it, you may have to get
67
-     all sorts of other programs in order to regenerate files that came
68
-     with the distribution.
69
-
70
-Compilers and Options
71
-=====================
72
-
73
-Some systems require unusual options for compilation or linking that the
74
-`configure' script does not know about.  Run `./configure --help' for
75
-details on some of the pertinent environment variables.
76
-
77
-   You can give `configure' initial values for configuration parameters
78
-by setting variables in the command line or in the environment.  Here
79
-is an example:
80
-
81
-     ./configure CC=c89 CFLAGS=-O2 LIBS=-lposix
82
-
83
-   *Note Defining Variables::, for more details.
84
-
85
-Compiling For Multiple Architectures
86
-====================================
87
-
88
-You can compile the package for more than one kind of computer at the
89
-same time, by placing the object files for each architecture in their
90
-own directory.  To do this, you must use a version of `make' that
91
-supports the `VPATH' variable, such as GNU `make'.  `cd' to the
92
-directory where you want the object files and executables to go and run
93
-the `configure' script.  `configure' automatically checks for the
94
-source code in the directory that `configure' is in and in `..'.
95
-
96
-   If you have to use a `make' that does not support the `VPATH'
97
-variable, you have to compile the package for one architecture at a
98
-time in the source code directory.  After you have installed the
99
-package for one architecture, use `make distclean' before reconfiguring
100
-for another architecture.
101
-
102
-Installation Names
103
-==================
104
-
105
-By default, `make install' installs the package's commands under
106
-`/usr/local/bin', include files under `/usr/local/include', etc.  You
107
-can specify an installation prefix other than `/usr/local' by giving
108
-`configure' the option `--prefix=PREFIX'.
109
-
110
-   You can specify separate installation prefixes for
111
-architecture-specific files and architecture-independent files.  If you
112
-pass the option `--exec-prefix=PREFIX' to `configure', the package uses
113
-PREFIX as the prefix for installing programs and libraries.
114
-Documentation and other data files still use the regular prefix.
115
-
116
-   In addition, if you use an unusual directory layout you can give
117
-options like `--bindir=DIR' to specify different values for particular
118
-kinds of files.  Run `configure --help' for a list of the directories
119
-you can set and what kinds of files go in them.
120
-
121
-   If the package supports it, you can cause programs to be installed
122
-with an extra prefix or suffix on their names by giving `configure' the
123
-option `--program-prefix=PREFIX' or `--program-suffix=SUFFIX'.
124
-
125
-Optional Features
126
-=================
127
-
128
-Some packages pay attention to `--enable-FEATURE' options to
129
-`configure', where FEATURE indicates an optional part of the package.
130
-They may also pay attention to `--with-PACKAGE' options, where PACKAGE
131
-is something like `gnu-as' or `x' (for the X Window System).  The
132
-`README' should mention any `--enable-' and `--with-' options that the
133
-package recognizes.
134
-
135
-   For packages that use the X Window System, `configure' can usually
136
-find the X include and library files automatically, but if it doesn't,
137
-you can use the `configure' options `--x-includes=DIR' and
138
-`--x-libraries=DIR' to specify their locations.
139
-
140
-Specifying the System Type
141
-==========================
142
-
143
-There may be some features `configure' cannot figure out automatically,
144
-but needs to determine by the type of machine the package will run on.
145
-Usually, assuming the package is built to be run on the _same_
146
-architectures, `configure' can figure that out, but if it prints a
147
-message saying it cannot guess the machine type, give it the
148
-`--build=TYPE' option.  TYPE can either be a short name for the system
149
-type, such as `sun4', or a canonical name which has the form:
150
-
151
-     CPU-COMPANY-SYSTEM
1
+Install Software
2
+================
152 3
 
153
-where SYSTEM can have one of these forms:
154
-
155
-     OS KERNEL-OS
156
-
157
-   See the file `config.sub' for the possible values of each field.  If
158
-`config.sub' isn't included in this package, then this package doesn't
159
-need to know the machine type.
160
-
161
-   If you are _building_ compiler tools for cross-compiling, you should
162
-use the option `--target=TYPE' to select the type of system they will
163
-produce code for.
164
-
165
-   If you want to _use_ a cross compiler, that generates code for a
166
-platform different from the build platform, you should specify the
167
-"host" platform (i.e., that on which the generated programs will
168
-eventually be run) with `--host=TYPE'.
4
+There are prebuilt software packages in the repositories, look in
5
+https://repository.mrw.sh for your operating system.
169 6
 
170
-Sharing Defaults
171
-================
7
+Note: PublicKey has changed on Novmber 1st 2015, please import the new
8
+key.
9
+
10
+Linux
11
+-----
12
+
13
+There are package repositories for most distributions at https://repository.mrw.sh.
14
+
15
+### Ubuntu and Debian
16
+
17
+To accept my signature, install my key:
18
+
19
+        wget -O- https://repository.mrw.sh/PublicKey \
20
+            | sudo apt-key add -
21
+
22
+You can install all software using your package manager (`apt`), first install the repository:
23
+
24
+        sudo apt-get install -y wget software-properties-common apt-transport-https
25
+        sudo apt-add-repository https://repository.mrw.sh
26
+        sudo apt-get update -y
27
+Then you can install any project you wish, e.g. [`webtester`](https://mrw.sh/development/webtester):
28
+
29
+        sudo apt-get install webtester -y
30
+
31
+### OpenSUSE
32
+
33
+To accept my signature, install my key:
34
+
35
+        wget https://repository.mrw.sh/PublicKey
36
+        rpm --import PublicKey
37
+
38
+You can use your packagemanager (`zypper` or _YaST_). First install the repostitory:
39
+
40
+        zypper ar https://repository.mrw.sh/opensuse/marc-waeckerlin.repo
41
+
42
+Then install packages from the repository, e.g. [`webtester`](https://mrw.sh/development/webtester):
43
+
44
+        zypper install webtester
45
+
46
+In case of trouble: Check if your version of OpenSUSE is supported,
47
+use `lsb_release -rs` to get the version of your OpenSUSE:
48
+https://drepository.mrw.sh/opensuse
49
+
50
+### Fedora
51
+
52
+To accept my signature, install my key:
53
+
54
+        wget https://repository.mrw.sh/PublicKey
55
+        rpm --import PublicKey
56
+
57
+You can use your packagemanager (`dnf`). First install the repository:
58
+
59
+        dnf install 'dnf-command(config-manager)'
60
+        dnf config-manager --add-repo https://repository.mrw.sh/fedora/marc-waeckerlin.repo
61
+
62
+Then install packages from the repository, e.g. [`webtester`](https://mrw.sh/development/webtester):
63
+
64
+        dnf install webtester
65
+
66
+In case of trouble: Check if your version of Fedora is supported, use `lsb_release -rs` to get the version of your Fedora: https://repository.mrw.sh/fedora
67
+
68
+### CentOS
69
+
70
+To accept my signature, install my key:
71
+
72
+        wget https://repository.mrw.sh/PublicKey
73
+        rpm --import PublicKey
74
+
75
+You can use your packagemanager (`yum`). First install the repository:
76
+
77
+        yum install wget
78
+        wget -O/etc/yum.repos.d/marc-waeckerlin.repo https://repository.mrw.sh/centos/marc-waeckerlin.repo
79
+
80
+Then install packages from the repository, e.g. [`webtester`](https://mrw.sh/development/webtester):
81
+
82
+        yum install webtester
83
+
84
+In case of trouble: Check if your version of CentOS is supported, use lsb_release -rs to get the version of your CentOS: https://repository.mrw.sh/centos
85
+
86
+### Mageia
87
+
88
+To accept my signature, install my key:
89
+
90
+        wget https://repository.mrw.sh/PublicKey
91
+        rpm --import PublicKey
92
+
93
+You can use your packagemanager (`dnf`). First install the repository:
172 94
 
173
-If you want to set default values for `configure' scripts to share, you
174
-can create a site shell script called `config.site' that gives default
175
-values for variables like `CC', `cache_file', and `prefix'.
176
-`configure' looks for `PREFIX/share/config.site' if it exists, then
177
-`PREFIX/etc/config.site' if it exists.  Or, you can set the
178
-`CONFIG_SITE' environment variable to the location of the site script.
179
-A warning: not all `configure' scripts look for a site script.
95
+        dnf install 'dnf-command(config-manager)'
96
+        dnf config-manager --add-repo https://repository.mrw.sh/mageia/marc-waeckerlin.repo
180 97
 
181
-Defining Variables
182
-==================
98
+Then install packages from the repository, e.g. [`webtester`](https://mrw.sh/development/webtester):
183 99
 
184
-Variables not defined in a site shell script can be set in the
185
-environment passed to `configure'.  However, some packages may run
186
-configure again during the build, and the customized values of these
187
-variables may be lost.  In order to avoid this problem, you should set
188
-them in the `configure' command line, using `VAR=value'.  For example:
100
+        dnf install webtester
189 101
 
190
-     ./configure CC=/usr/local2/bin/gcc
102
+### Other Linux Distributions
191 103
 
192
-causes the specified `gcc' to be used as the C compiler (unless it is
193
-overridden in the site shell script).  Here is a another example:
104
+Either use the nearest possible distribution, or use alien to convert from another distribution to your preferred package format, or compile the project yourself (see below).
194 105
 
195
-     /bin/bash ./configure CONFIG_SHELL=/bin/bash
106
+Windows
107
+-------
196 108
 
197
-Here the `CONFIG_SHELL=/bin/bash' operand causes subsequent
198
-configuration-related scripts to be executed by `/bin/bash'.
109
+Download from https://repository.mrw.sh/windows
199 110
 
200
-`configure' Invocation
201
-======================
111
+MacOSX
112
+------
202 113
 
203
-`configure' recognizes the following options to control how it operates.
114
+You need e.g. Mac Ports to compile. Install the following dependencies:
204 115
 
205
-`--help'
206
-`-h'
207
-     Print a summary of the options to `configure', and exit.
116
+        sudo port install subversion svn2cl doxygen graphviz cppunit libtool boost log4cxx qt5-mac
208 117
 
209
-`--version'
210
-`-V'
211
-     Print the version of Autoconf used to generate the `configure'
212
-     script, and exit.
118
+Fix libtool-bug:
213 119
 
214
-`--cache-file=FILE'
215
-     Enable the cache: use and save the results of the tests in FILE,
216
-     traditionally `config.cache'.  FILE defaults to `/dev/null' to
217
-     disable caching.
120
+        sudo ln -s /opt/local/bin/glibtoolize /opt/local/bin/libtoolize
218 121
 
219
-`--config-cache'
220
-`-C'
221
-     Alias for `--cache-file=config.cache'.
122
+Compile from Source
123
+-------------------
222 124
 
223
-`--quiet'
224
-`--silent'
225
-`-q'
226
-     Do not print messages saying which checks are being made.  To
227
-     suppress all normal output, redirect it to `/dev/null' (any error
228
-     messages will still be shown).
125
+For all unsupported operating systems, including MacOSX.
229 126
 
230
-`--srcdir=DIR'
231
-     Look for the package's source code in directory DIR.  Usually
232
-     `configure' can determine that directory automatically.
127
+To compile, please download the tar-sources from: https://repository.mrw.sh/sources
233 128
 
234
-`configure' also accepts some other, not widely useful, options.  Run
235
-`configure --help' for more details.
129
+Then untar the package and use the common commands, e.g. for version `1.0.2` of a project named project, that means:
236 130
 
131
+        tar xzf project-1.0.2.tar.gz
132
+        cd project-1.0.2
133
+        ./bootstrap.sh
134
+        ./configure
135
+        make
136
+        sudo make install

+ 6
- 3
README.md View File

@@ -5,6 +5,8 @@ Featureful C++ Library containing a lot of needful things. Everything, I often n
5 5
 
6 6
 I have paid attention to define simple and a nice to use interfaces. The library makes use of object orientation, operator overload and templates, where it makes sense. The library passes several module tests before each delivery. It is therefore stable and tested.
7 7
 
8
+**Note:** All *links* below require the generated [Doxygen](https://doc.mrw.sh/mrw-c++) documentation.
9
+
8 10
 Features
9 11
 --------
10 12
 
@@ -54,9 +56,10 @@ This library contains [modules](modules.html) for the following purposes:
54 56
 In the Web
55 57
 ----------
56 58
 
57
- - The official project page is on: https://mrw.sh/libraries/mrw-cxx
58
- - The official documentation is on: https://doc.mrw.sh/mrw-c++
59
- - The official repositories are on: https://repository.mrw.sh
59
+ - [Official project page](https://mrw.sh/libraries/mrw-cxx)
60
+ - [Full Doxygen library documentation](https://doc.mrw.sh/mrw-c++)
61
+ - [Official repositories](https://repository.mrw.sh)
62
+ - [Download and installation instructions](https://mrw.sh/doc/mrw.sh/src/branch/master/installation.md)
60 63
 
61 64
 
62 65
 Supported Platforms

+ 3
- 20
ax_init_standard_project.m4 View File

@@ -1,4 +1,4 @@
1
-## @id $Id$
1
+## @id $Id: ax_init_standard_project.m4 204 2016-09-29 18:29:53Z marc $
2 2
 
3 3
 ##       1         2         3         4         5         6         7         8
4 4
 ## 45678901234567890123456789012345678901234567890123456789012345678901234567890
@@ -651,7 +651,6 @@ AC_DEFUN([AX_USE_DOXYGEN], [
651 651
   AC_CHECK_PROG(have_doxygen, doxygen, yes, no)
652 652
   AC_CHECK_PROG(have_dot, dot, yes, no)
653 653
   AC_CHECK_PROG(have_mscgen, mscgen, yes, no)
654
-  AM_CONDITIONAL(NEED_PLANTUML, test "$have_doxygen" = "yes" -a "1.8.11" != $((echo "1.8.11"; doxygen -v 2>/dev/null) | sort -V | head -1))
655 654
   PDF_DOC=${PACKAGE_NAME}-${PACKAGE_VERSION}.pdf
656 655
   AC_SUBST(PDF_DOC)
657 656
   if test "$have_doxygen" = "no"; then
@@ -676,28 +675,12 @@ AC_DEFUN([AX_USE_DOXYGEN], [
676 675
   AX_ADD_MAKEFILE_TARGET_DEP([.PHONY], [pdf gen-uml-images], [doc/makefile.in])
677 676
   test -f doc/makefile.in && cat >> doc/makefile.in <<EOF
678 677
 #### Begin: Appended by $0
679
-doc: doxyfile @NEED_PLANTUML_TRUE@ gen-uml-images
680
-	@NEED_PLANTUML_TRUE@ doxyadd() { grep -q "\$\$[1] += \$\$[2]" doxyfile || sed -i '/^'"\$\$[1]"' *=/a'"\$\$[1]"' += '"\$\$[2]" doxyfile; }; \\
681
-	@NEED_PLANTUML_TRUE@ doxyadd ALIASES '"startuml{1}=@image html \\\\1\\\\n@image latex \\\\1\\\\n\\\\if DontIgnorePlantUMLCode"'; \\
682
-	@NEED_PLANTUML_TRUE@ doxyadd ALIASES '"enduml=\\\\endif"'; \\
683
-	@NEED_PLANTUML_TRUE@ doxyadd IMAGE_PATH '"gen-uml-images"';
678
+doc: doxyfile
684 679
 	doxygen doxyfile
685 680
 @PEDANTIC_TRUE@	test \! -s doxygen.errors
686 681
 
687
-@NEED_PLANTUML_TRUE@EXTRA_DIST = ${EXTRA_DIST} plantuml.jar
688
-@NEED_PLANTUML_TRUE@
689
-@NEED_PLANTUML_TRUE@gen-uml-images:
690
-@NEED_PLANTUML_TRUE@	test -d gen-uml-images || mkdir gen-uml-images
691
-@NEED_PLANTUML_TRUE@	eval \$\$(sed -n 's, *INPUT *\\(+\\?\\)= *\\(.*\\),INPUT\\1=" \\2",gp' doxyfile); \\
692
-@NEED_PLANTUML_TRUE@	eval \$\$(sed -n 's, *FILE_PATTERNS *\\(+\\?\\)= *\\(.*\\),FILE_PATTERNS\\1=" \\2",gp' doxyfile); \\
693
-@NEED_PLANTUML_TRUE@	SOURCES="**.("\$\$(echo \$\${FILE_PATTERNS} | sed 's,*.,,g;s, ,|,g')")"; \\
694
-@NEED_PLANTUML_TRUE@	for src in \$\$INPUT; do \\
695
-@NEED_PLANTUML_TRUE@	  java  -Djava.awt.headless=true -jar \${top_srcdir}/doc/plantuml.jar -v -o \$\$(pwd)/gen-uml-images "\$\$src/\$\$SOURCES"; \\
696
-@NEED_PLANTUML_TRUE@	done
697
-
698 682
 clean-documentation:
699 683
 	-rm doxygen.errors @PDF_DOC@
700
-	@NEED_PLANTUML_TRUE@ -rm -rf gen-uml-images
701 684
 distclean-documentation:
702 685
 	-rm -r html
703 686
 	-rm  @PACKAGE_NAME@.doxytag
@@ -979,8 +962,8 @@ AC_DEFUN([AX_PKG_CHECK], [
979 962
 #    $2 = pathes to search for
980 963
 AC_DEFUN([AX_REQUIRE_HEADER], [
981 964
   AC_CHECK_HEADER($1, [], [
965
+    found=0
982 966
     if test -n "$2"; then
983
-      found=0
984 967
       for d in $2; do
985 968
         if test -f "${d}/$1"; then
986 969
           AC_MSG_NOTICE([found file ${d}/$1])

+ 8
- 4
bootstrap.sh View File

@@ -1,10 +1,10 @@
1 1
 #! /bin/bash
2 2
 ## @file
3 3
 ##
4
-## $Id$
4
+## $Id: bootstrap.sh 52 2015-11-03 15:38:21Z marc $
5 5
 ##
6
-## $Date$
7
-## $Author$
6
+## $Date: 2004/08/31 15:57:19 $
7
+## $Author: marc $
8 8
 ##
9 9
 ## @copy &copy; Marc W&auml;ckerlin
10 10
 ## @license LGPL, see file <a href="license.html">COPYING</a>
@@ -41,7 +41,7 @@ while test $# -gt 0; do
41 41
         (--no-vcs|-n) novcs=1;;
42 42
         (--exclude-vcs|-x) shift; excludevcs+=("$1");;
43 43
         (--version|-v)
44
-            echo "$Id$";
44
+            echo "$Id: bootstrap.sh 52 2015-11-03 15:38:21Z marc $";
45 45
             exit;;
46 46
         (--help|-h) less <<EOF
47 47
 SYNOPSIS
@@ -523,6 +523,10 @@ copy() {
523 523
     if test "${1%/*}" != "$1"; then
524 524
         test -d "${1%/*}" || svn mkdir "${1%/*}"
525 525
     fi
526
+    if ! test -e "${source}"; then
527
+        ignored "$1" not found
528
+        return
529
+    fi
526 530
     run cp "${source}" "$1"
527 531
     if test $exists -eq 0; then
528 532
         if test -n "${VCS}" -a $novcs -eq 0 && ! contains "$1" "${excludevcs[@]}"; then

+ 27
- 21
build-in-docker.sh View File

@@ -7,7 +7,7 @@ if test "${arch}" = "amd64"; then
7 7
     myarch="amd64|i386"
8 8
 fi
9 9
 mode=
10
-img="mwaeckerlin/ubuntu:latest"
10
+img=
11 11
 repos=()
12 12
 keys=()
13 13
 dns=()
@@ -81,24 +81,27 @@ while test $# -gt 0; do
81 81
             echo
82 82
             exit 0
83 83
             ;;
84
-        (-m|--mode) shift;
84
+        (-m|--mode)
85
+            shift;
85 86
             mode="$1"
86
-            case "$mode" in
87
-                (deb|apt) img="mwaeckerlin/ubuntu:latest";;
88
-                (rpm|zypper) img="opensuse:latest";;
89
-                (yum) img="centos:latest";;
90
-                (dnf) img="fedora:latest";;
91
-                (win)
92
-                    img="mwaeckerlin/ubuntu:latest"; host="${host:---host=i686-w64-mingw32}"
93
-                    targets="all install"
94
-                    flags+=("--prefix=/workdir/usr")
95
-                    packages+=("mingw-w64")
96
-                    ;;
97
-                (*)
98
-                    echo "**** ERROR: unknown mode '$1', try --help" 1>&2
99
-                    exit 1
100
-                    ;;
101
-            esac
87
+            if test -z "$img"; then
88
+                case "$mode" in
89
+                    (deb|apt) img="mwaeckerlin/debbuildenv";;
90
+                    (rpm|zypper) img="opensuse:latest";;
91
+                    (yum) img="centos:latest";;
92
+                    (dnf) img="fedora:latest";;
93
+                    (win)
94
+                        img="mwaeckerlin/debbuildenv"; host="${host:---host=i686-w64-mingw32}"
95
+                        targets="all install"
96
+                        flags+=("--prefix=/workdir/usr")
97
+                        packages+=("mingw-w64")
98
+                        ;;
99
+                    (*)
100
+                        echo "**** ERROR: unknown mode '$1', try --help" 1>&2
101
+                        exit 1
102
+                        ;;
103
+                esac
104
+            fi
102 105
             ;;
103 106
         (-i|--image) shift;
104 107
             img="$1"
@@ -243,6 +246,9 @@ function ifthenelse() {
243 246
 
244 247
 set -x
245 248
 
249
+if test -z "$img"; then
250
+    img="mwaeckerlin/debbuildenv"
251
+fi
246 252
 docker pull $img
247 253
 DOCKER_ID=$(docker create ${dns[@]} ${dirs[@]} ${envs[@]} -w /workdir $img sleep infinity)
248 254
 trap 'traperror '"${DOCKER_ID}"' "$? ${PIPESTATUS[@]}" $LINENO $BASH_LINENO "$BASH_COMMAND" "${FUNCNAME[@]}" "${FUNCTION}"' SIGINT INT TERM EXIT
@@ -262,8 +268,8 @@ if test -z "$mode"; then
262 268
         (*deb*) mode=deb;;
263 269
         (*rpm*) mode=rpm;;
264 270
         (*) case "$img" in
265
-                (*ubuntu*|*debian*|*mint*) mode=deb;;
266
-                (*fedora*|*centos*|*mageia*) mode=rpm;;
271
+                (*deb*|*ubuntu*|*debian*|*mint*) mode=deb;;
272
+                (*rpm*|*fedora*|*centos*|*mageia*) mode=rpm;;
267 273
                 (*mingw*|*win*) mode=win;;
268 274
                 (*) mode=deb;;
269 275
             esac;;
@@ -289,7 +295,7 @@ case "$mode" in
289 295
             docker exec ${DOCKER_ID} bash -c "echo 'Pin-Priority: -100' >> /etc/apt/preferences"
290 296
             docker exec ${DOCKER_ID} bash -c "echo >> /etc/apt/preferences"
291 297
         done
292
-        if test -n "${keys[@]}"; then # fix dependency bug in cosmic and stretch
298
+        if test -n "${keys[*]}"; then # fix dependency bug in cosmic and stretch
293 299
             docker exec ${DOCKER_ID} apt-get install ${OPTIONS} ${PREVENT// /- }- gnupg
294 300
             for key in "${keys[@]}"; do
295 301
                 wget -O- "$key" \

BIN
doc/plantuml.jar View File


Loading…
Cancel
Save